Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 578990 - Review Request: nimrod - A new statically typed, imperative programming Language
Summary: Review Request: nimrod - A new statically typed, imperative programming Language
Keywords:
Status: CLOSED DUPLICATE of bug 971059
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-04-02 01:17 UTC by Rajesh Krishnan
Modified: 2013-06-05 15:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 13:40:23 UTC


Attachments (Terms of Use)

Description Rajesh Krishnan 2010-04-02 01:17:18 UTC
Spec URL: http://krishnan.cc/devel/repository/fedora/SPECS/nimrod.spec
SRPM URL: http://krishnan.cc/devel/repository/fedora/SRPMS/nimrod-0.8.8-1.fc12.src.rpm
Description: A new statically typed, imperative programming language, 
that supports procedural, object oriented, functional 
and generic programming styles while remaining simple 
and efficient.

Additional Notes:
  Tested this on Fedora 12 (x86_64).  Let me know if I need to test it on F13 as well.
  Also ran 'rpmlint' and did not find any major flaws with both the srpm and spec.

Comment 1 Rajesh Krishnan 2010-04-02 01:20:17 UTC
Need sponsor.

Comment 2 Mohammed Imran 2010-04-29 13:02:31 UTC
Let me do a informal Review

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

Rpmlint
==========
[imran@localhost SPECS]$ rpmlint nimrod.spec ../RPMS/i586/nimrod-0.8.8-1.fc11.i586.rpm ../SRPMS/nimrod-0.8.8-1.fc11.src.rpm
nimrod.i586: W: incoherent-version-in-changelog 0.8.8 ['0.8.8-1.fc11', '0.8.8-1']
nimrod.i586: W: spurious-executable-perm /usr/share/doc/nimrod-0.8.8/html/colors.html
nimrod.i586: W: spurious-executable-perm /usr/share/doc/nimrod-0.8.8/html/docs.txt
nimrod.i586: W: spurious-executable-perm /usr/share/doc/nimrod-0.8.8/html/os.html
nimrod.i586: W: spurious-executable-perm /usr/share/doc/nimrod-0.8.8/html/system.html
nimrod.i586: W: spurious-executable-perm /usr/share/doc/nimrod-0.8.8/examples/sdlex.nim
nimrod.i586: E: wrong-script-interpreter /usr/share/doc/nimrod-0.8.8/examples/filterex.nim stdtmpl
nimrod.i586: E: wrong-script-end-of-line-encoding /usr/share/doc/nimrod-0.8.8/readme.txt
2 packages and 1 specfiles checked; 7 errors, 105 warnings.

Need to be Fixed
=================
See https://fedoraproject.org/wiki/Common_Rpmlint_issues
1) Please fix the executable permission on doc/ html/
2) -doc package will be better option here,create a seperate package for doc and examples
3) see the below link to resolve rpmlint issues
https://fedoraproject.org/wiki/Common_Rpmlint_issues
4) Add 0.8.8-1 in changelog
5) Description should be divided into line of each < 80 chars
6) gpl.html = LICENSE should be in %doc
7) Get rid of unnecessary # BuildRequires:  # % configure 


=== REQUIRED ITEMS ===
[!] rpmlint must be run on every package. The output should be posted in the review

[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.

[!]  Package meets the Packaging Guidelines.

[x]  Package is not relocatable.
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:GPLv2

[!]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.

[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :6a254abb08ff87923321f48cabf46038 
MD5SUM upstream package:6a254abb08ff87923321f48cabf46038 
[x]  Package is not known to require ExcludeArch, OR:
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[?]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.

[!]  Permissions on files are set properly. 

[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[!]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[?]  Header files in -devel subpackage, if present.
[?]  Static libraries in -devel subpackage, if present.
libs are needed,but in your RPM there isnt any libs 
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.

Comment 3 Mohammed Imran 2010-05-30 13:53:34 UTC
ping

Comment 4 Jason Tibbitts 2010-11-17 13:40:23 UTC
No response to review commentary or pings in half a year; closing.

Comment 5 Christopher Meng 2013-06-05 15:29:55 UTC

*** This bug has been marked as a duplicate of bug 971059 ***


Note You need to log in before you can comment on or make changes to this bug.